> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaign recipients



## OpenAPI

````yaml /openapi.json get /api/public/email-campaign/recipients/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-campaign/recipients/{id}:
    get:
      tags:
        - email-channel
      summary: List campaign recipients
      operationId: PublicEmailCampaignController_getRecipients
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            maximum: 100
            exclusiveMinimum: true
            default: 50
            type: number
            minimum: 0
        - name: offset
          required: false
          in: query
          schema:
            minimum: 0
            maximum: 9007199254740991
            default: 0
            type: number
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipients:
                    type: array
                    items:
                      $ref: '#/components/schemas/EmailCampaignRecipientResponseDto'
                  total:
                    type: number
components:
  schemas:
    EmailCampaignRecipientResponseDto:
      type: object
      properties:
        id:
          type: string
        to_emails:
          type: array
          items:
            type: object
        cc_emails:
          type: array
          items:
            type: object
          nullable: true
        bcc_emails:
          type: array
          items:
            type: object
          nullable: true
        status:
          type: string
          enum:
            - pending
            - sent
            - failed
        sent_at:
          format: date-time
          type: string
          nullable: true
        error:
          type: string
          nullable: true
      required:
        - id
        - to_emails
        - cc_emails
        - bcc_emails
        - status
        - sent_at
        - error

````